<?php

/*---------------------------------------------------------------------------------------------*/
/*     CUSTOMIZER OPTIONS                                                                      */
/*---------------------------------------------------------------------------------------------*/

add_action( 'wp_enqueue_scripts', 'my_google_font' );

function my_google_font() {

	wp_enqueue_style( $handle = 'my-google-font', $src = '//fonts.googleapis.com/css?family=Open+Sans|Ubuntu|Bitter|Cabin|Damion|Dorsa|Eater|Fascinate|Forum|FreeSans|Galdeano|Gorditas|Gruppo|Imprima|Inder|Judson|Jura|Karla|Koulen|Kristi|Lato|Questrial|Qwigley|Rancho|Revalia|Salsa|Smokum|Stoke|Symbol|Telex|Tienne|Tinos', $deps = array(), $ver = null, $media = null );

}


add_action('customize_register', 'gs_theme_customizer');

function gs_theme_customizer( $wp_customize ) {



$fontfamily = array (

       //"none" => "Select a font",

       "Ubuntu" => "Ubuntu",
       "Open Sans" => "Open Sans",
       "Bitter" => "Bitter",
       "Cabin" => "Cabin",
       "Damion" => "Damion",
       "Dorsa" => "Dorsa",
       "Eater" => "Eater",
       "Fascinate" => "Fascinate",
       "Forum" => "Forum",
       "FreeSans" => "FreeSans",
       "Galdeano" => "Galdeano",
       "Gorditas" => "Gorditas",
       "Gruppo" => "Gruppo",
       "Georgia" => "Georgia",
       "Imprima" => "Imprima",
       "Inder" => "Inder",
       "Judson" => "Judson",
       "Jura" => "Jura",
       "Karla" => "Karla",
       "Koulen" => "Koulen",
       "Kristi" => "Kristi",
       "Lato" => "Lato",
       "Questrial" => "Questrial",
       "Qwigley" => "Qwigley",
       "Rancho" => "Rancho",
       "Revalia" => "Revalia",
       "Salsa" => "Salsa",
       "Smokum" => "Smokum",
       "Stoke" => "Stoke",
       "Symbol" => "Symbol",
       "Telex" => "Telex",
       "Tienne" => "Tienne",
       "Tinos" => "Tinos",
);



// logo

$wp_customize->add_section( 'ultra_logo_section' , array(
    'title'       => __( 'Logo', 'ultra' ),
    'priority'    => 5,
    'description' => __('Upload a logo to replace the default site name and description in the header', 'ultra'),
) );


$wp_customize->add_setting( 'ultra_logo', array( 
   'transport' => 'refresh', 
   'sanitize_callback' => 'esc_url_raw',
) );


$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'ultra_logo', array(
    'label'    => __( 'Upload a logo (recommended 250x50)', 'ultra' ),
    'section'  => 'ultra_logo_section',
    'settings' => 'ultra_logo',
) ) );





// Banner top 468x60

$wp_customize->add_section( 'ads', array(
        'title' => __('Banner Top 468x60', 'ultra'), 
        'priority'    => 6,
        'description' => 'Settings banner blog' 
     ) );



$wp_customize->add_setting( 'ads_banner_top', array(
       'transport' => 'refresh', 
       'default' => "",
	   'sanitize_callback' => 'esc_url_raw',
));



$wp_customize->add_control( 'ads_banner_top', array(

    'label' => __('Link banner', 'ultra'),
    'type' => 'text',
    'section' => 'ads', 
) );





$wp_customize->add_setting( 'banner_top', array(
    'transport' => 'refresh', 
    'sanitize_callback' => 'esc_url_raw',
 ) );



$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'banner_top', array(

    'label'    => __( 'Upload image banner', 'ultra' ),
    'section'  => 'ads',
    'settings' => 'banner_top',

) ) );



 // Hide banner ?

$wp_customize->add_setting( 'hide_banner', array(
    'default' => "",
    'transport' => 'refresh',
    'sanitize_callback' => 'esc_url_raw',
	) );



$wp_customize->add_control( 'hide_banner', array(
    'label' => __('Hide Banner', 'ultra'),
    'type' => 'checkbox',
    'section' => 'ads',
) );

    

// Header set up 

$wp_customize->add_section( 'fonts-header', array(

    'title' => __('Header', 'ultra'), 
    'description' => 'Options Font Header',
    'priority'    => 7,
 ) );

$wp_customize->add_setting( 'font_size_header', array(
     'transport' => 'refresh',
     'default' => '30',
     'sanitize_callback' => 'ultra_sanitize_font_size_family',
 ));

$wp_customize->add_control( 'font_size_header', array(

		'label' => __('Header size px', 'ultra'),
		'section' => 'fonts-header',
		'settings' => 'font_size_header',
		'type' => 'select',
		'priority'    => 1,
		'choices' => array (
                        '25' => '25px',
                        '26' => '26px',
                        '27' => '27px',
		                '28' => '28px',
                        '29' => '29px',
                        '30' => '30px',
		                '31' => '31px',
                        '32' => '32px',
                        '33' => '33px',
                        '34' => '34px',
		          ),

	            ) );


$wp_customize->add_setting( 'fonts_family_header1', array(
            'transport' => 'refresh',
            'default' => 'verdana',
            'sanitize_callback' => 'ultra_sanitize_font_size_family',
 ));

$wp_customize->add_control( 'fonts_family_header1', array(

		         'label'       => __('Fonts Header', 'ultra'),
		         'section'     => 'fonts-header',
		         'settings'    => 'fonts_family_header1',
		         'type'        => 'select',
		         'priority'    => 2,
		         'choices'     => $fontfamily
                ) );

$wp_customize->add_setting( 'header_font_color' , array(
              'default'     => '#ffffff',
              'transport'   => 'refresh',
			  'sanitize_callback' => 'sanitize_hex_color',
           ) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'header_font_color', array(

	          'label'        => __( 'Header font color', 'ultra' ),
	          'section'      => 'fonts-header',
	          'settings'     => 'header_font_color',
	          'priority'     => 3,
        ) ) );

// Header image bg

$wp_customize->add_setting( 'ultra_header_bg', array( 
      'transport' => 'refresh', 
      'sanitize_callback' => 'ultra_sanitize_background',
  ) );



$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'ultra_header_bg', array(

         'label'       => __( 'Upload a background image (recommended 1140x300)', 'ultra' ),
         'section'     => 'fonts-header',
         'settings'    => 'ultra_header_bg',
         'priority'    => 4,
        ) ) );


$wp_customize->add_setting( 'header_bgcolor' , array(
         'default'     => '#2980B9',
         'transport'   => 'refresh',
         'sanitize_callback' => 'sanitize_hex_color',
) );



$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'header_bgcolor', array(
	     'label'        => __( 'Header color background if a image is not upload', 'ultra' ),
	     'section'      =>   'fonts-header',
	     'settings'     =>   'header_bgcolor',
	     'priority'     => 5,
) ) );

// head top background

$wp_customize->add_setting( 'top_bgcolor' , array(
        'default'           => '#ccc',
        'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_hex_color',

) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'top_bgcolor', array(

	     'label'        => __( 'Top bar background', 'custom' ),
	     'section'      =>   'fonts-header',
	     'settings'     =>   'top_bgcolor',
	     'priority'    => 6,
) ) );


$wp_customize->add_setting( 'logo_top', array(
         'transport'         => 'refresh', 
         'default'           => '32px',
		 'sanitize_callback' => 'esc_url_raw',
   ));



$wp_customize->add_control( 'logo_top', array(
    'label' => __('Adjust logo from top ex: 30px', 'custom'),
    'type' => 'text',
    'section' => 'fonts-header', 
    'priority'    => 8,
) );

// hide About Me

$wp_customize->add_setting( 'hide_about', array(

    'default' => 0,
    'transport' => 'refresh',
    'sanitize_callback' => 'esc_url_raw',
) );

 

$wp_customize->add_control( 'hide_about', array(

    'label' => __('Hide about me', 'ultra'),
    'type' => 'checkbox',
    'section' => 'fonts-header',
    'priority'    => 10,
) );


// hide search

$wp_customize->add_setting( 'hide_search', array(
    'default' => 0,
    'transport' => 'refresh',
    'sanitize_callback' => 'esc_url_raw',
) );

 

$wp_customize->add_control( 'hide_search', array(

    'label' => __('Hide search', 'ultra'),
    'type' => 'checkbox',
    'section' => 'fonts-header',
     'priority'    => 11,
) );



// hide top bar

$wp_customize->add_setting( 'hide_top', array(
    'default' => 0,
    'transport' => 'refresh',
    'sanitize_callback' => 'esc_url_raw',
) );

 

$wp_customize->add_control( 'hide_top', array(

    'label' => __('Hide top bar', 'custom'),
    'type' => 'checkbox',
    'section' => 'fonts-header',
    'priority'    => 12,
) );


// Layout ===================================================

$wp_customize->add_section( 'ultra_layout_section' , array(

        'title'       => __( 'Layout', 'ultra' ),
        'description' => 'Change how Debut displays posts',
        'priority'    => 8,
    ) );

   
/*

 * CUSTOM SIDEBAR POSITIONING

 */

$wp_customize->add_setting('sidebar_position', array(
    'default'   => 'right',
    'transport' => 'refresh',
	//'sanitize_callback' => 'esc_url_raw',
    ));

$wp_customize->add_control('sidebar_position', array(

	'label'      => __('Sidebar Position', 'ultra'),
	'section'    => 'ultra_layout_section',
	'settings'   => 'sidebar_position',
	'type'       => 'radio',
	'choices'    => array(
		'option3'  => 'Right',
		'option4'   => 'Left',
	),

));    

$wp_customize->add_setting( 'ebox_post_content', array(
        'default'   => 'option1',
        'transport' => 'refresh',
		'sanitize_callback' => 'esc_url_raw',
    ) );

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'ebox_post_content', array(

        'label'     => __( 'Post content', 'ultra' ),
        'section'   => 'ultra_layout_section',
        'settings'  => 'ebox_post_content',
        'type'      => 'radio',
        'choices'   => array(
            'option1'   => 'Excerpts',
            'option2'   => 'Full content',
            ),

    ) ) );


$wp_customize->add_setting( 'grid_content', array(
      'default'   => '1',
      'transport' => 'refresh',
      //'sanitize_callback' => 'ultra_sanitize_background',
    ));



  $wp_customize->add_control( 'grid_content', array(

      'section'  => 'ultra_layout_section',
      'label'    => 'Change Grid',
      'type'     => 'radio',
      'choices'  => array(
              '1'  =>  'Boxed',
              '2'  =>  'Full Width'
      )));



// copyright footer

$wp_customize->add_section( 'themedemo_footer', array(

        'title' => __('Copyright Footer', 'ultra'), 
        'description' => 'Add Copyright Footer',
        'priority'    => 15,
 ) );


class Customize_Textarea_Control extends WP_Customize_Control {

    public $type = 'textarea';

    public function render_content() {

        ?>

        <label>

        <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>

        <textarea rows="5" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>

        </label>

        <?php

    }

}


$wp_customize->add_setting( 'textarea_setting_footer', array(
    'default' => '(c) Welcome to my site',
    'transport' => 'refresh',
    'sanitize_callback' => 'esc_url_raw',
) );

 

$wp_customize->add_control( new Customize_Textarea_Control( $wp_customize, 'textarea_setting_footer', array(

        'label'      => __('Copyright Footer', 'ultra'),
        'section'    => 'themedemo_footer',
        'settings'   => 'textarea_setting_footer',
) ) );

//Hide Tagline

$wp_customize->add_setting( 'title_tagline_check', array( 
     'transport' => 'refresh',
     'sanitize_callback' => 'esc_url_raw',
	 ) );

$wp_customize->add_control( 'title_tagline_check', array(

		'label'      => __( 'Hide Tagline', 'ultra' ),
		'section'    => 'title_tagline',
		'settings'   => 'title_tagline_check',
		'type'        => 'checkbox',
	) );

// featured post -----------------------------------------


$wp_customize->add_section( 'featured_content', array(
        'title' => __('Featured content', 'ultra'), 
        'description' => __('Make sure that the posts thumbnail are set otherwise it will not show anything','ultra'),
        'priority'    => 10,
 ) );


/* Category */

$wp_customize->add_setting('ultra_category', array(

   'default'           => '',
   'sanitize_callback' => 'esc_url_raw',
   
));

$wp_customize->add_control(

    new WP_Customize_Category_Control(

        $wp_customize,

        'ultra_category',

        array(
            'label'    => 'Category',
            'settings' => 'ultra_category',
            'section'  => 'featured_content',
        )

    )

);



// number off post to show

$wp_customize->add_setting( 'post_featured', array(
    'default'   => '3',
    'transport' => 'refresh',
    'sanitize_callback' => 'esc_url_raw',
) );

 

$wp_customize->add_control( 'post_featured', array(
    'label' => __('Post to show', 'ultra'),
    'type' => 'select',
    'section' => 'featured_content',
    'choices' => array(
                        '1' => '1',
		                '2' => '2',
		                '3' => '3',
		                '4' => '4',
		                '5' => '5',
		                '6' => '6',
		                '7' => '7',
		                '8' => '8',
		                '9' => '9',
		                '10' => '10'

		),

) );



// hide category featured

$wp_customize->add_setting( 'checkbox_featured', array(
    'default'   => "",
    'transport' => 'refresh',
    'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'checkbox_featured', array(
    'label' => __('Display featured content', 'ultra'),
    'type' => 'checkbox',
    'section' => 'featured_content',
) );


// Post Options ------------------------------------------

$wp_customize->add_section( 'fonts_post', array(

        'title' => __('Post Options', 'ultra'), 
        'description' => 'Options fonts',
        'priority'    => 11,
 ) );

$wp_customize->add_setting( 'font_size_post', array(
        'transport' => 'refresh',
        'default' => '22',
		'sanitize_callback' => 'ultra_sanitize_font_size',
 ));



$wp_customize->add_control( 'font_size_post', array(

		'label' => __('Choose size to article title', 'ultra'),
		'section' => 'fonts_post',
		'settings' => 'font_size_post',
		'type' => 'select',
		'choices' => array(
		                '16' => '16px',
		                '17' => '17px',
		                '18' => '18px',
		                '19' => '19px',
                        '20' => '20px',
                        '21' => '21px',
                        '22' => '22px',
		),

	) );



$wp_customize->add_setting( 'fonts_post_title', array(
         'default'    => 'Georgia',
         'transport' => 'refresh',
		 'sanitize_callback' => 'ultra_sanitize_font_size_family',

));

$wp_customize->add_control( 'fonts_post_title', array(

		'label'    => __('Choose font to article title', 'ultra'),
		'section'  => 'fonts_post',
		'settings' => 'fonts_post_title',
		'type'     => 'select',
		'choices'  => $fontfamily
	) );





$wp_customize->add_setting( 'fonts_font3', array(
         'default' => 'verdana',
         'transport' => 'refresh',
         'sanitize_callback' => 'ultra_sanitize_font_size_family',
));

$wp_customize->add_control( 'fonts_font3', array(

		'label' => __('Choose font to article', 'ultra'),
		'section' => 'fonts_post',
		'settings' => 'fonts_font3',
		'type' => 'select',
		'choices' => $fontfamily
	) );



$wp_customize->add_setting( 'fonts_font', array(
        'transport' => 'refresh',
        'default' => '14',
		'sanitize_callback' => 'ultra_sanitize_font_size',
 ));	

$wp_customize->add_control( 'fonts_font', array(

		'label'    => __('Choose size to article', 'ultra'),
		'section'  => 'fonts_post',
		'settings' => 'fonts_font',
		'type'     => 'select',
		'choices' => array(
                           '12' => '12px',
			               '13' => '13px',
			               '14' => '14px',
                           '15' => '15px',
		),

	) );

$wp_customize->add_setting( 'post_font_title_color' , array(
               'default'     => '#444444',
               'transport'   => 'refresh',
			   'sanitize_callback' => 'sanitize_hex_color',

) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'post_font_title_color', array(

	  'label'        => __( 'Post title font color', 'ultra' ),
	  'section'      => 'fonts_post',
	  'settings'     => 'post_font_title_color',

) ) );

$wp_customize->add_setting( 'post_font_color' , array(
              'default'     => '#444444',
              'transport'   => 'refresh',
			  'sanitize_callback' => 'sanitize_hex_color'
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'post_font_color', array(

	  'label'        => __( 'Post font color', 'ultra' ),
	  'section'    => 'fonts_post',
	  'settings'   => 'post_font_color',
) ) );


/* LINKS color */

$wp_customize->add_section( 'links_color' , array(
               'title'      => __( 'Links color', 'ultra' ),
               'priority'   => 13,
) );

$wp_customize->add_setting( 'links_site_color' , array(
              'default'     => '#0099ff',
              'transport'   => 'refresh',
              'sanitize_callback' => 'sanitize_hex_color',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'links_site_color', array(
	  'label'      => __( 'Links Color', 'ultra' ),
	  'section'    => 'links_color',
	  'settings'   => 'links_site_color',
) ) );

$wp_customize->add_setting( 'links_site_hover_color' , array(
       'default'     => '#ff0099',
       'transport'   => 'refresh',
       'sanitize_callback' => 'sanitize_hex_color',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'links_site_hover_color', array(
	  'label'      => __( 'Links Color: hover', 'ultra' ),
	  'section'    => 'links_color',
	  'settings'   => 'links_site_hover_color',
) ) );

//custom css

$wp_customize->add_section( 'custom_css', array(
        'title' => __('Custom css', 'ultra'), 
        'description' => 'Add Custom css',
        'priority'    => 45,
 ) );

class Customize_Textarea_Custom extends WP_Customize_Control {

    public $type = 'textarea';

    public function render_content() {
        ?>
        <label>

        <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>

        <textarea rows="5" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>

        </label>

        <?php

    }

}


$wp_customize->add_setting( 'custom_css_editor', array(
    'default' => '',
    'transport' => 'refresh',
	'sanitize_callback' => 'esc_url_raw',

) );

 

$wp_customize->add_control( new Customize_Textarea_Control( $wp_customize, 'custom_css_editor', array(
      'label'   => __('Add your custom css', 'ultra'),
      'section' => 'custom_css',
      'settings'   => 'custom_css_editor',

) ) );



}//end//



/*

 * MAKE IT PRETTY ~ load styles only on the customizer

 ***/

 

add_action('customize_controls_print_styles', 'my_custom_styles');

function my_custom_styles() {

	$bloginfo = get_template_directory_uri();

  echo '<style>

			/* Theme customizer styles */

		#customize-control-sidebar_position > label {

			display: block;

			margin-bottom: 7px;

			width: 230px;

			height: 60px;

			background-position: top right;

			background-repeat: no-repeat;

		}

		#customize-control-sidebar_position > label {

			background-image: url( '. $bloginfo .'/images/2cr.png);

		}

		#customize-control-sidebar_position > label:nth-of-type(2) {

			background-image: url('. $bloginfo .'/images/2cl.png);

		}

		.accordion-section {

        border-bottom: 1px solid #ccc !important;

        margin: 0;

         }

		#customize-theme-controls .control-section .accordion-section-title:focus, 

		#customize-theme-controls .control-section .accordion-section-title:hover,

		#customize-theme-controls .control-section.open .accordion-section-title,

		#customize-theme-controls .control-section:hover .accordion-section-title {

		 color: #222 !important;

         background: #DDDDDD !important;}

         #customize-controls h3 {

         font-size:14px !important;

         font-family: verdana, sans-serif;

         font-weight:400;

         }

		

		

  </style>';

}







if (class_exists('WP_Customize_Control')) {

    class WP_Customize_Category_Control extends WP_Customize_Control {

        /**

         * Render the control's content.

         *

         * @since 3.4.0

         */

        public function render_content() {

            $dropdown = wp_dropdown_categories(

                array(

                    'name'              => '_customize-dropdown-categories-' . $this->id,

                    'echo'              => 0,

                    'show_option_none'  => __( '&mdash; Select &mdash;','ultra' ),

                    'option_none_value' => '0',

                    'selected'          => $this->value(),

                )

            );

 

            // Hackily add in the data link parameter.

            $dropdown = str_replace( '<select', '<select ' . $this->get_link(), $dropdown );

 

            printf(

                '<label class="customize-control-select"><span class="customize-control-title">%s</span> %s</label>',

                $this->label,

                $dropdown

            );

        }

    }

}





/* INSERT CUSTOM CSS ----------------------------------------------*/



function insertultra_css(){

?>

<style type="text/css">



<?php echo get_theme_mod ('custom_css_editor'); ?>

 #page { <?php if ( '1' === get_theme_mod( 'grid_content' ) ) { ?>
 background:#e5e5e5;
 max-width:1030px;
 margin: 20px auto;
 padding:0;
 
<?php } else { ?>
 
 width: 100%;
 margin: 0 auto;
 padding:0;
 overflow: hidden;      
 
<?php } ?>

}

#content { <?php if ( '1' === get_theme_mod( 'grid_content' ) ) { ?>

margin:0 auto;

<?php } else { ?>

margin:30px auto;  

<?php } ?>

}


#colophon { <?php if ( '1' === get_theme_mod( 'grid_content' ) ) { ?>

width:100%;
max-width:1024px;

<?php } else { ?>

     
width:100%;
margin:0 auto;

    
<?php } ?>
}



#primary {

<?php if ( 'option3' === get_theme_mod( 'sidebar_position' ) || '' === get_theme_mod( 'sidebar_position' ) ) { ?>

float:left !important;

<?php } else { ?>

float:right !important;

  <?php } ?>
}

#secondary {<?php if ( 'option3' === get_theme_mod( 'sidebar_position' ) || '' === get_theme_mod( 'sidebar_position' ) ) { ?>

float:right !important;

<?php } else { ?>

float:left !important;

  <?php } ?>

}

.head-top {
background: <?php echo get_theme_mod ('top_bgcolor'); ?> !important;
}

.site-branding {

    float: left;

    margin: <?php echo get_theme_mod ('logo_top'); ?> 0 0 30px;

    overflow: hidden;

    width: 45%;

}


a {
color: <?php echo get_theme_mod ('links_site_color'); ?>;
text-decoration:none;
}

a:hover,
a:focus,
a:active {
color: <?php echo get_theme_mod ('links_site_hover_color'); ?>;
text-decoration:none;
}



h1.site-title a {font-family: <?php echo get_theme_mod ('fonts_family_header1'); ?> !important;

                 color: <?php echo get_theme_mod ('header_font_color'); ?> !important;

                 font-size: <?php echo get_theme_mod ('font_size_header'); ?>px !important;}



#top { background: <?php echo get_theme_mod ('header_bgcolor'); ?> url(<?php echo get_theme_mod ('ultra_header_bg'); ?>)no-repeat fixed top !important; } 



#mastheadv3 { background: <?php echo get_theme_mod ('header_bgcolor'); ?> url(<?php echo get_theme_mod ('ultra_header_bg'); ?>)no-repeat fixed top !important; } 





ul.social li a, .icon-male {

	color: <?php echo get_theme_mod ('social_font_color'); ?> !important;

}

.icon-search {

	color: <?php echo get_theme_mod ('social_font_color'); ?> !important;

}

.icon-search,

.icon-plus {

	color: <?php echo get_theme_mod ('social_font_color'); ?> !important;

}

ul.social li a:hover, 

.icon-male:hover,

.icon-plus:hover {

	color: <?php echo get_theme_mod ('social_font_color_hover'); ?> !important;

}



ul.social2 li a{

	color: <?php echo get_theme_mod ('social_font_color'); ?> !important;

}

ul.social2 li a:hover{

	color: <?php echo get_theme_mod ('social_font_color_hover'); ?> !important;

}





.entry-content , 

.entry-summary {color: <?php echo get_theme_mod ('post_font_color'); ?> !important;}



.entry-content {font-size: <?php echo get_theme_mod ('fonts_font'); ?>px !important;

                font-family: <?php echo get_theme_mod ('fonts_font3'); ?> !important; }

                

h2.entry-title {font-size: <?php echo get_theme_mod ('font_size_post'); ?>px !important;

                font-family: <?php echo get_theme_mod ('fonts_post_title'); ?> !important;  }

h2.entry-title a,

.entry-last a {color: <?php echo get_theme_mod ('post_font_title_color'); ?> !important;  }



</style>

<?php

}

add_action('wp_head', 'insertultra_css');