<?php

/**

 * Template name: Home Template with slider

 *

 * This is the template that displays all pages by default.

 * Please note that this is the WordPress construct of pages

 * and that other 'pages' on your WordPress site will use a

 * different template.

 *

 * @package custom-blog

 */



get_header(); ?>



<div id="primary" class="content-area" style="width:100% !important;height:100%;">

   <main id="main" class="site-main" role="main">



   <?php get_template_part( 'slide' ); ?>

		

	<?php if ( have_posts() ) : ?>



			<?php /* Start the Loop */ ?>

			<?php while ( have_posts() ) : the_post(); ?>



				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	

	      <div class="entry-content">

		   <?php the_content(); ?>

		

		  <?php

			wp_link_pages( array(

				'before' => '<div class="page-links">' . __( 'Pages:', 'custom' ),

				'after'  => '</div>',

			) );

		 ?>

	

	   </div><!-- .entry-content -->

	   <footer class="entry-footer">

		  <?php //edit_post_link( __( 'Edit', 'custom' ), '<span class="edit-link">', '</span>' ); ?>

	   </footer><!-- .entry-footer -->

     </article><!-- #post-## -->



			<?php endwhile; ?>





		<?php else : ?>



			<?php get_template_part( 'content', 'none' ); ?>



		<?php endif; ?>



 

  </main><!-- #main -->

</div><!-- #primary -->





<?php get_footer(); ?>