<?php get_header(); ?>


	<div id="primary" class="content-area clr">

		<main id="main" class="site-main clr" role="main">

		<?php if ( is_home() ) : ?>
		   <?php get_template_part( 'slider' ); ?>
	     <?php endif; ?>
		
		
	    <div class="hide_featured" <?php echo ( get_theme_mod( 'checkbox_featured' ) ) ? "style='display:block;'" : "" ?>>

         <div class="grid clr" style="position:relative;margin:10px 0 20px 0;">

         <?php $catID = get_theme_mod('ultra_category'); ?>

         <?php
              $featured_query = new WP_Query( array(
                  'post_type' => 'post',
                  'posts_per_page' => get_theme_mod('post_featured'),
                  'ignore_sticky_posts' => true,
                  'cat' => $catID,
              ) );

       // Open featured posts loop

       if ( $featured_query->have_posts() ) :

        while ( $featured_query->have_posts() ) : $featured_query->the_post();

             $do_not_duplicate = $post->ID; ?>


    <div class="entries">
      <div class="blog-media wf-td thumbnail-faq">

      </div><!-- end blog-media wf-td -->

      <div class="blog-content wf-td">

	   <header class="entry-header">
		<?php the_title( sprintf( '<h2 class="featured_title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>


		<?php if ( 'post' == get_post_type() ) : ?>

		<div class="entry-meta">

			<span class="post-category"><i class="icon-copy"></i> <?php the_category(', '); ?></span>

			<span class="post-comment"><i class="icon-comment"></i> <?php comments_popup_link('0 comments &#187;', '1 comment &#187;', '% comments &#187;'); ?></span>

            
		</div><!-- .entry-meta -->

		<?php endif; ?>

	</header><!-- .entry-header -->

	<div class="entry-content">
         <?php $thumb = get_post_thumbnail_id();
         $img_url = wp_get_attachment_url( $thumb,'full' ); 
         $image = aq_resize( $img_url, 220, 170, true ); ?>	
         <?php if($image) : ?>		  
         <a href="<?php the_permalink(); ?>"><img class="post-image" style="margin-right:15px;float:left;" src="<?php echo $image ?>"/></a>	
         <?php endif; ?>
	
		 <p>
		    <?php
            $content = get_the_content();
            $trimmed_content = wp_trim_words( $content, 25, '<a class="read" href="'. get_permalink() .'"> ...Citeste tot</a>' );
            echo $trimmed_content; ?>
         </p>

	</div><!-- .entry-content -->

  </div><!-- .blog-content wf-td -->


   </div>

        <?php

        endwhile;

        endif;

       wp_reset_postdata(); ?>

		

  </div><!-- grid -->

</div>	

		<?php if ( have_posts() ) : ?>


			<?php /* Start the Loop */ ?>

			<?php while ( have_posts() ) : the_post(); 

			if( $post->ID == $do_not_duplicate ) continue; ?>

				<?php get_template_part( 'content', get_post_format() ); ?>

			<?php endwhile; ?>

			<?php custom_paging_nav(); ?>

		<?php else : ?>

			<?php get_template_part( 'content', 'none' ); ?>

		<?php endif; ?>

		</main><!-- #main -->

	</div><!-- #primary -->


<?php get_sidebar(); ?>
<?php get_footer(); ?>