<?php

/**

 * The template for displaying posts in the Quote post format

 *

 * @package WordPress

 * @subpackage Custom

 * @since Custom 1.0

 */

?>



<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="entry-content">

		<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'custom' ) ); ?>

		<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'custom' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>

	</div><!-- .entry-content -->



	<footer class="entry-meta">

		



		<?php if ( comments_open() && ! is_single() ) : ?>

		<span class="comments-link">

			<?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a comment', 'custom' ) . '</span>', __( 'One comment so far', 'custom' ), __( 'View all % comments', 'custom' ) ); ?>

		</span><!-- .comments-link -->

		<?php endif; // comments_open() ?>

		<?php edit_post_link( __( 'Edit', 'custom' ), '<span class="edit-link">', '</span>' ); ?>

	</footer><!-- .entry-meta -->

</article><!-- #post -->