<?php

function responsive_css(){
?>
<style type="text/css">

.nav-container {
background:#888;
font-weight:400;
z-index:99;
position:relative
}

.nav-toggle {
display:none;
background:#777;
cursor:pointer;
float:right;
height:50px;
width:60px;
color:#fff;
text-align:center
}

.nav-toggle i {
font-size:29px;
padding:10px 0
}

.nav-text {
display:none;
float:right;
font-size:16px;
line-height:24px;
padding:13px 20px
}

.nav li > a:after,.nav > li > a:after {
font-family:FontAwesome;
display:inline-block
}

@media only screen and (min-width: 720px) {
.nav-wrap {
height:auto!important
}

.nav {
font-size:0;
position:relative
}

.nav li a {
color:#ccc;
display:block;
line-height:20px;
z-index:9999!important;
text-decoration:none
}

.nav li > a:after {
content:"\f0da";
float:right;
opacity:.5
}

.nav > li > a:after {
content:"\f0d7";
float:none;
margin-left:6px;
font-size:14px;
line-height:1.2em
}

.nav li > a:only-child:after {
content:"";
margin:0
}

#footer .nav li > a:after {
content:"\f0da"
}

#footer .nav > li > a:after {
content:"\f0d8"
}

#footer .nav li > a:only-child:after {
content:""
}

.nav > li {
font-size:14px;
font-weight:600;
text-transform:uppercase;
border-right:1px solid #999;
display:inline-block;
position:relative
}

.nav > li > a {
padding:15px 14px;
text-decoration:none;
z-index:9999!important
}

.nav > li > a:hover,.nav > li:hover > a {
background:#777;
z-index:9999!important
}

.nav li > a:hover,.nav li:hover > a,
.nav li.current_page_item > a,
.nav li.current-menu-item > a,
.nav li.current-menu-ancestor > a,
.nav li.current-post-parent > a {
text-decoration:none;
color:#fff;
z-index:9999!important
}

.nav li:hover > ul {
display:block;
z-index:9999!important;
text-decoration:none
}

.nav ul {
display:none;
background:#777;
position:absolute;
left:0;
top:50px;
width:187px;
padding:10px 0;
z-index:2;
-webkit-transform:translateZ(0);
-webkit-box-shadow:0 2px 2px rgba(0,0,0,0.15);
box-shadow:0 2px 2px rgba(0,0,0,0.15)
}

.nav ul li {
text-decoration:none;
font-size:13px;
position:relative;
display:block;
padding:0;
z-index:9999!important
}

.nav ul li a {
text-decoration:none;
padding:10px 20px;
z-index:9999!important
}

.nav ul li:last-child {
border-bottom:0!important
}

.nav ul ul {
position:absolute;
top:-10px;
left:180px
}
}

@media only screen and (max-width: 719px) {
.nav {
font-weight:600
}

.nav-container {
text-transform:none
}

.nav-toggle,.nav-text {
display:block
}

.nav-wrap {
position:relative;
float:left;
width:100%;
height:0;
overflow:hidden
}

.nav-wrap.transition {
-webkit-transition:height .35s ease;
-moz-transition:height .35s ease;
-o-transition:height .35s ease;
transition:height .35s ease
}

.expand .nav-wrap {
height:auto
}

.nav {
float:left;
width:100%
}

.nav li a {
line-height:20px;
display:block;
padding:8px 20px
}

.nav li li a {
padding-left:15px;
padding-right:15px
}

.nav li > a:after {
content:'\f0d7';
opacity:.5;
margin-left:6px
}

.nav > li > a:after {
content:'\f0d7';
font-size:14px
}

.nav li > a:only-child:after {
content:''
}

.nav > li {
font-size:15px
}

.nav li > a:hover,.nav li.current_page_item > a,.nav li.current-menu-item > a,.nav li.current-post-parent > a {
color:#fff
}

.nav ul {
display:block!important;
margin-left:40px
}

.nav ul li {
font-size:14px;
font-weight:300
}

.nav ul li a {
padding-top:6px;
padding-bottom:6px
}
}

#header {
border-bottom:6px solid #e5e5e5;
position:relative;
-webkit-box-shadow:0 1px 0 rgba(255,255,255,0.7);
box-shadow:0 1px 0 rgba(255,255,255,0.7)
}

#header .pad {
padding-top:28px;
padding-bottom:30px
}

.site-title {
font-size:42px;
font-weight:900;
letter-spacing:-.5px;
float:left;
line-height:80px;
padding:10px 0
}

.site-title a {
display:block;
color:#222;
max-width:100%
}

.site-title a img {
display:block;
max-width:100%;
max-height:80px;
height:auto;
padding:0;
margin:0 auto
}

.site-description {
font-size:18px;
font-style:italic;
color:#222;
color:rgba(0,0,0,0.4);
float:left;
margin-left:20px;
line-height:80px;
padding:10px 0
}

.site-image {
display:block;
margin:0 auto;
max-height:400px
}

.light-header-text .site-title a {
color:#fff
}

.light-header-text .site-description {
color:#fff;
color:rgba(255,255,255,0.6)
}

.light-header-text #header .social-links .social-tooltip {
color:#fff
}

.light-header-text #header .social-links .social-tooltip:hover {
color:rgba(255,255,255,0.8)
}

.toggle-search {
color:#fff;
font-size:18px;
line-height:24px;
cursor:pointer;
padding:13px 20px;
display:block;
position:absolute;
right:0;
top:0;
-webkit-box-shadow:-1px 0 0 rgba(255,255,255,0.1);
box-shadow:-1px 0 0 rgba(255,255,255,0.1)
}

.toggle-search:hover,.toggle-search.active {
background:rgba(0,0,0,0.15);
color:#fff
}

.search-expand {
display:none;
background:#454545;
position:absolute;
top:50px;
right:0;
width:340px;
-webkit-box-shadow:0 1px 0 rgba(255,255,255,0.1);
box-shadow:0 1px 0 rgba(255,255,255,0.1)
}

.search-expand-inner {
background:rgba(0,0,0,0.15);
padding:15px
}

.search-expand .themeform input {
width:100%;
border:2px solid #e2e2e2;
border-radius:0
}

#meniu {
background:#222;
margin:0 auto;
width:100%;
height:50px
}

#nav-topbar.nav-container {
background:#222;
margin:0 auto;
width:100%;
max-width:1024px;
-webkit-box-shadow:0 0 5px rgba(0,0,0,0.2),0 1px 0 rgba(255,255,255,0.15);
box-shadow:0 0 5px rgba(0,0,0,0.2),0 1px 0 rgba(255,255,255,0.15)
}

#nav-topbar .nav-toggle {
background:transparent;
color:#fff;
-webkit-box-shadow:inset 1px 0 0 rgba(255,255,255,0.06);
box-shadow:inset 1px 0 0 rgba(255,255,255,0.06)
}

#nav-topbar .nav-text {
color:#fff;
color:rgba(255,255,255,0.7)
}

@media only screen and (min-width: 1025px) {
.full-width.topbar-enabled #header {
padding-top:50px
}

.full-width #nav-topbar.nav-container {
position:fixed;
top:0;
left:0;
right:0;
width:100%;
z-index:999
}

.full-width.admin-bar #nav-topbar.nav-container {
top:32px
}
}

@media only screen and (min-width: 720px) {
#nav-topbar .nav {
background:#222
}

#nav-topbar .nav li a {
color:#fff;
color:rgba(255,255,255,0.7);
background:#222
}

#nav-topbar .nav > li {
border-right:none;
background:#222
}

#nav-topbar .nav > li > a:hover,#nav-topbar .nav > li:hover > a {
background-color:rgba(0,0,0,0.8)
}

#nav-topbar .nav li > a:hover,#nav-topbar .nav li:hover > a,#nav-topbar .nav li.current_page_item > a,#nav-topbar .nav li.current-menu-item > a,#nav-topbar .nav li.current-menu-ancestor > a,#nav-topbar .nav li.current-post-parent > a {
color:#fff;
background:#222
}

#nav-topbar .nav ul {
background:#222 url(images/opacity-10.png) repeat
}

#nav-topbar .nav ul li {
box-shadow:0 1px 0 rgba(255,255,255,0.06);
-webkit-box-shadow:0 1px 0 rgba(255,255,255,0.06)
}

#nav-topbar .nav ul li:last-child {
box-shadow:none;
-webkit-box-shadow:none
}
}

@media only screen and (max-width: 719px) {
#nav-topbar .nav li a {
color:#fff;
color:rgba(255,255,255,0.8);
border-top:1px solid rgba(255,255,255,0.06);
background:#222
}

#nav-topbar .nav li > a:hover {
background:rgba(0,0,0,0.8);
color:#fff
}

#nav-topbar .nav li.current_page_item > a,#nav-topbar .nav li.current-menu-item > a,#nav-topbar .nav li.current-post-parent > a {
background:#222;
background:rgba(0,0,0,0.9);
color:#fff
}
}

@media handheld,only screen and (max-width: 970px),only screen and (max-device-width: 970px) and (orientation:portrait) {
.banner {
float:right;
width:468px;
height:60px;
margin:30px 0 0;
display:none
}
}

@media handheld,only screen and (max-width: 768px),only screen and (max-device-width: 768px) and (orientation:portrait) {
.site-branding {
float:left;
width:100%!important;
margin:0;
overflow:hidden;
padding:15px 0
}

.banner {
display:none
}

.slider-overlay {
display:none
}

#primary {
width:100%;
padding:10px;
float:left;
margin:0 auto;
background:transparent;
overflow:hidden
}

#secondary {
width:100%;
float:left;
background:transparent;
overflow:hidden;
margin:0 5px 0 0;
padding:10px
}

.widget {
list-style:none;
list-style:none;
float:left;
width:98%;
padding:5px;
background:#fff;
margin:0 0 10px;
-webkit-box-shadow:4px 4px 4px 0 rgba(0,0,0,.15);
box-shadow:4px 4px 4px 0 rgba(0,0,0,.15)
}

.popular-post li {
width:98%!important
}

#colophon {
margin:0 auto;
border-bottom:1px solid #777;
border-top:1px solid #777;
background:#fff;
width:100%;
float:left
}

.footer-box {
float:left;
width:100%;
margin-right:1.5%
}
}

@media only screen and (max-width: 719px) {
.toggle-search {
color:#fff;
font-size:18px;
line-height:24px;
cursor:pointer;
padding:13px 20px;
display:block;
position:absolute;
width:50px;
left:0!important;
top:0;
-webkit-box-shadow:-1px 0 0 rgba(255,255,255,0.1);
box-shadow:-1px 0 0 rgba(255,255,255,0.1)
}

.toggle-search:hover,.toggle-search.active {
background:rgba(0,0,0,0.15);
color:#fff
}

.search-expand {
display:none;
background:#454545;
position:absolute;
top:50px;
right:0;
width:340px;
-webkit-box-shadow:0 1px 0 rgba(255,255,255,0.1);
box-shadow:0 1px 0 rgba(255,255,255,0.1)
}

.search-expand-inner {
background:rgba(0,0,0,0.15);
padding:15px
}

.search-expand .themeform input {
width:100%;
border:2px solid #e2e2e2;
border-radius:0
}

.search-expand {
background:none repeat scroll 0 0 #454545;
box-shadow:0 1px 0 rgba(255,255,255,0.1);
display:none;
left:0;
position:absolute;
top:50px;
width:340px
}
}

@media handheld,only screen and (max-width: 480px),only screen and (max-device-width: 480px) and (orientation:portrait) {
.modalDialog > div {
width:90%!important;
height:100%
}

.wpcf7-form-control-wrap {
width:50%;
width:50%;
width:50%
}

.banner {
display:none
}

.site-branding {
float:left;
width:100%!important;
margin:0;
overflow:hidden;
padding:15px 0
}

.slider-overlay {
display:none
}

.search-box {
display:none
}

ul.social {
width:100%
}

.thumbnail-faq img {
display:none!important
}

#primary {
width:100%;
padding:10px;
float:left;
margin:0 auto;
background:transparent;
overflow:hidden
}

#secondary {
width:100%;
float:left;
background:transparent;
overflow:hidden;
margin:0 5px 0 0;
padding:10px
}

.widget {
list-style:none;
float:left;
width:98%;
padding:5px;
background:#fff;
margin:0 0 10px;
-webkit-box-shadow:4px 4px 4px 0 rgba(0,0,0,.15);
box-shadow:4px 4px 4px 0 rgba(0,0,0,.15)
}

.popular-post li {
width:98%!important
}

#colophon {
margin:0 auto;
border-bottom:1px solid #777;
border-top:1px solid #777;
background:#fff;
width:100%;
float:left
}

.footer-box {
float:left;
width:100%;
margin-right:1.5%
}
}

@media handheld,only screen and (max-width: 320px),only screen and (max-device-width: 320px) and (orientation:portrait) {
.modalDialog > div {
width:95%!important;
height:100%
}

.site-branding {
float:left;
width:100%!important;
margin:0;
overflow:hidden;
padding:15px 0
}

.slider-overlay {
display:none
}

.banner {
display:none
}

.search-box {
display:none
}

ul.social {
width:100%
}

.thumbnail-faq img {
display:none!important
}

#primary {
width:100%;
padding:10px;
float:left;
margin:0 auto;
background:transparent;
overflow:hidden
}

#secondary {
width:100%;
float:left;
background:transparent;
overflow:hidden;
margin:0 5px 0 0;
padding:10px
}

.widget {
list-style:none;
float:left;
width:98%;
padding:5px;
background:#fff;
margin:0 0 10px;
-webkit-box-shadow:4px 4px 4px 0 rgba(0,0,0,.15);
box-shadow:4px 4px 4px 0 rgba(0,0,0,.15)
}

.popular-post li {
width:98%!important
}

#colophon {
margin:0 auto;
border-bottom:1px solid #777;
border-top:1px solid #777;
background:#fff;
width:100%;
float:left
}

.footer-widget li {
line-height:19px;
margin-left:0;
float:left;
width:100%;
padding:2px;
text-decoration:none;
font-size:13px;
font-family:Helvetica,verdana,monospace,arial;
color:#222
}

.footer-box {
float:left;
width:100%;
margin-right:1.5%
}
}



</style>

<?php

}

add_action('wp_head', 'responsive_css');