<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <div class="blog-media wf-td thumbnail-faq">

        <?php $thumb = get_post_thumbnail_id();
        $img_url = wp_get_attachment_url( $thumb,'full' );
        $image = aq_resize( $img_url, 220, 170, true ); ?>
        <?php if($image) : ?>
            <a href="<?php the_permalink(); ?>"><img class="post-image" src="<?php echo $image ?>"/></a>
        <?php endif; ?>

    </div>

    <div class="blog-content wf-td">

        <header class="entry-header">
            <?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>

            <?php if ( 'post' == get_post_type() ) : ?>

                <div class="entry-meta">
                    <span class="post-date"><i class="icon-calendar"></i> <?php the_time('d.m.Y', 'creative_plus'); ?></span>
                    <span class="post-comment"><i class="icon-comment"></i> <?php comments_popup_link('0 comments &#187;', '1 comment &#187;', '% comments &#187;'); ?></span>

                </div><!-- .entry-meta -->
            <?php endif; ?>
        </header><!-- .entry-header -->

        <div class="entry-content">

            <?php if ( 'option2' == get_theme_mod( 'creative_post_content' )) {

                the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'creative_plus' ) ); }

            else {

                the_excerpt();

            } ?>

            <div class="read-more"><a href="<?php the_permalink() ?>">Read More &rarr;</a></div>
            <?php

            wp_link_pages( array(

                'before' => '<div class="page-links">' . __( 'Pages:', 'creative_plus' ),
                'after'  => '</div>',

            ) );

            ?>

        </div><!-- .entry-content -->

    </div><!-- .blog-content wf-td -->

</article><!-- #post-## -->